# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/monitoring/v3/snooze_service.proto for package 'Google.Cloud.Monitoring.V3'
# Original file comments:
# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/monitoring/v3/snooze_service_pb'

module Google
  module Cloud
    module Monitoring
      module V3
        module SnoozeService
          # The SnoozeService API is used to temporarily prevent an alert policy from
          # generating alerts. A Snooze is a description of the criteria under which one
          # or more alert policies should not fire alerts for the specified duration.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.monitoring.v3.SnoozeService'

            # Creates a `Snooze` that will prevent alerts, which match the provided
            # criteria, from being opened. The `Snooze` applies for a specific time
            # interval.
            rpc :CreateSnooze, ::Google::Cloud::Monitoring::V3::CreateSnoozeRequest, ::Google::Cloud::Monitoring::V3::Snooze
            # Lists the `Snooze`s associated with a project. Can optionally pass in
            # `filter`, which specifies predicates to match `Snooze`s.
            rpc :ListSnoozes, ::Google::Cloud::Monitoring::V3::ListSnoozesRequest, ::Google::Cloud::Monitoring::V3::ListSnoozesResponse
            # Retrieves a `Snooze` by `name`.
            rpc :GetSnooze, ::Google::Cloud::Monitoring::V3::GetSnoozeRequest, ::Google::Cloud::Monitoring::V3::Snooze
            # Updates a `Snooze`, identified by its `name`, with the parameters in the
            # given `Snooze` object.
            rpc :UpdateSnooze, ::Google::Cloud::Monitoring::V3::UpdateSnoozeRequest, ::Google::Cloud::Monitoring::V3::Snooze
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
